Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
TrapdoorFunction Class Reference

_ More...

`#include <pubkey.h>`

Inheritance diagram for TrapdoorFunction:

List of all members.

## Public Member Functions

Integer | ApplyRandomizedFunction (RandomNumberGenerator &rng, const Integer &x) const
bool | IsRandomized () const
virtual Integer | ApplyFunction (const Integer &x) const =0
virtual Integer | PreimageBound () const =0
virtual Integer | ImageBound () const =0
virtual Integer | MaxPreimage () const
virtual Integer | MaxImage () const

## Detailed Description

_

Definition at line 68 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h